<?php
namespace nulib\php\iter;

class NullFilter implements IFilter {
  private static $instance;

  static final function get(): self {
    return self::$instance ??= new self();
  }

  function matchValue($value): bool {
    return true;
  }
}
